Bug 1293019 - [abrt] gjs: g_mutex_lock(): gjs-console killed by SIGSEGV
[abrt] gjs: g_mutex_lock(): gjs-console killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gjs (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Colin Walters
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:e6e685ce18a989769fac8c5393b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-19 03:05 EST by Joachim Frieben
Modified: 2017-08-08 08:34 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:34:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (81.07 KB, text/plain)
2015-12-19 03:05 EST, Joachim Frieben
no flags Details
File: cgroup (259 bytes, text/plain)
2015-12-19 03:05 EST, Joachim Frieben
no flags Details
File: core_backtrace (10.13 KB, text/plain)
2015-12-19 03:05 EST, Joachim Frieben
no flags Details
File: dso_list (20.34 KB, text/plain)
2015-12-19 03:05 EST, Joachim Frieben
no flags Details
File: environ (719 bytes, text/plain)
2015-12-19 03:05 EST, Joachim Frieben
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-19 03:05 EST, Joachim Frieben
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-19 03:05 EST, Joachim Frieben
no flags Details
File: maps (83.71 KB, text/plain)
2015-12-19 03:05 EST, Joachim Frieben
no flags Details
File: mountinfo (3.69 KB, text/plain)
2015-12-19 03:06 EST, Joachim Frieben
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-19 03:06 EST, Joachim Frieben
no flags Details
File: open_fds (2.49 KB, text/plain)
2015-12-19 03:06 EST, Joachim Frieben
no flags Details
File: proc_pid_status (1.04 KB, text/plain)
2015-12-19 03:06 EST, Joachim Frieben
no flags Details
File: var_log_messages (28 bytes, text/plain)
2015-12-19 03:06 EST, Joachim Frieben
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 761049 None None None 2016-01-24 15:43 EST

  None (edit)
Description Joachim Frieben 2015-12-19 03:05:30 EST
Version-Release number of selected component:
gjs-1.44.0-1.fc24

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/gjs /usr/bin/gnome-documents --gapplication-service
crash_function: g_mutex_lock
executable:     /usr/bin/gjs-console
global_pid:     4172
kernel:         4.4.0-0.rc5.git1.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_mutex_lock at gthread-posix.c:1338
 #1 external_thumbnailers_disabled_all_changed_cb at gnome-desktop-thumbnail.c:911
 #2 g_cclosure_marshal_VOID__STRINGv at gmarshal.c:1794
 #3 _g_closure_invoke_va at gclosure.c:867
 #6 g_settings_real_change_event at gsettings.c:386
 #7 ffi_call_unix64 at ../src/x86/unix64.S:76
 #8 ffi_call at ../src/x86/ffi64.c:525
 #9 g_cclosure_marshal_generic_va at gclosure.c:1604
 #10 _g_closure_invoke_va at gclosure.c:867
 #13 settings_backend_path_changed at gsettings.c:461

Potential duplicate: bug 1142554
Comment 1 Joachim Frieben 2015-12-19 03:05:41 EST
Created attachment 1107608 [details]
File: backtrace
Comment 2 Joachim Frieben 2015-12-19 03:05:42 EST
Created attachment 1107609 [details]
File: cgroup
Comment 3 Joachim Frieben 2015-12-19 03:05:45 EST
Created attachment 1107610 [details]
File: core_backtrace
Comment 4 Joachim Frieben 2015-12-19 03:05:48 EST
Created attachment 1107611 [details]
File: dso_list
Comment 5 Joachim Frieben 2015-12-19 03:05:50 EST
Created attachment 1107612 [details]
File: environ
Comment 6 Joachim Frieben 2015-12-19 03:05:51 EST
Created attachment 1107613 [details]
File: exploitable
Comment 7 Joachim Frieben 2015-12-19 03:05:53 EST
Created attachment 1107614 [details]
File: limits
Comment 8 Joachim Frieben 2015-12-19 03:05:59 EST
Created attachment 1107615 [details]
File: maps
Comment 9 Joachim Frieben 2015-12-19 03:06:01 EST
Created attachment 1107616 [details]
File: mountinfo
Comment 10 Joachim Frieben 2015-12-19 03:06:03 EST
Created attachment 1107617 [details]
File: namespaces
Comment 11 Joachim Frieben 2015-12-19 03:06:04 EST
Created attachment 1107618 [details]
File: open_fds
Comment 12 Joachim Frieben 2015-12-19 03:06:06 EST
Created attachment 1107619 [details]
File: proc_pid_status
Comment 13 Joachim Frieben 2015-12-19 03:06:08 EST
Created attachment 1107620 [details]
File: var_log_messages
Comment 14 Matthias Clasen 2016-01-24 12:12:09 EST
I've put a fix in https://bugzilla.gnome.org/show_bug.cgi?id=761049
Comment 15 Jan Kurik 2016-02-24 09:09:35 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 16 Fedora End Of Life 2017-07-25 15:39:45 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2017-08-08 08:34:25 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.